---
title: Examples
hide_title: true
sidebar_label: About
---

## Examples

-   Create a deep image classifier with transfer learning ([DeepLearning - Flower Image Classification])
-   Fit a LightGBM classification or regression model on a biochemical dataset
    ([LightGBM Overview]), to learn more check out the [LightGBM documentation
    page](../../features/lightgbm/about).
-   Deploy a deep network as a distributed web service with [MMLSpark
    Serving](../../features/spark_serving/about)
-   Use web services in Spark with [HTTP on Apache Spark](../../features/http/about)
-   Use Bi-directional LSTMs from Keras for medical entity extraction
    ([DeepLearning - BiLSTM Medical Entity Extraction])
-   Create a text analytics system on Amazon book reviews ([TextAnalytics - Amazon Book Reviews])
-   Perform distributed hyperparameter tuning to identify Breast Cancer
    ([HyperParameterTuning - Fighting Breast Cancer])
-   Easily ingest images from HDFS into Spark `DataFrame` ([DeepLearning - CIFAR10 Convolutional Network])
-   Use OpenCV on Spark to manipulate images ([OpenCV - Pipeline Image Transformations])
-   Train classification and regression models easily via implicit featurization
    of data ([Classification - Adult Census])
-   Train and evaluate a flight delay prediction system ([Regression - Flight Delays])
-   Finding anomalous data access patterns using the Access Anomalies package of CyberML ([CyberML - Anomalous Access Detection])
-   Model interpretation ([Interpretability - Tabular SHAP Explainer], [Interpretability - Image Explainers], [Interpretability - Text Explainers])


[Classification - Adult Census]: ../classification/Classification%20-%20Adult%20Census "Classification - Adult Census"

[Regression - Flight Delays]: ../regression/Regression%20-%20Flight%20Delays "Regression - Flight Delays"

[LightGBM Overview]: ../../features/lightgbm/LightGBM%20-%20Overview "LightGBM Overview"

[TextAnalytics - Amazon Book Reviews]: ../text_analytics/TextAnalytics%20-%20Amazon%20Book%20Reviews "TextAnalytics - Amazon Book Reviews"

[HyperParameterTuning - Fighting Breast Cancer]: ../HyperParameterTuning%20-%20Fighting%20Breast%20Cancer "HyperParameterTuning - Fighting Breast Cancer"

[DeepLearning - CIFAR10 Convolutional Network]: ../deep_learning/DeepLearning%20-%20CIFAR10%20Convolutional%20Network "DeepLearning - CIFAR10 Convolutional Network"

[OpenCV - Pipeline Image Transformations]: ../OpenCV%20-%20Pipeline%20Image%20Transformations "OpenCV - Pipeline Image Transformations"

[DeepLearning - BiLSTM Medical Entity Extraction]: ../deep_learning/DeepLearning%20-%20BiLSTM%20Medical%20Entity%20Extraction "DeepLearning - BiLSTM Medical Entity Extraction"

[DeepLearning - Flower Image Classification]: ../deep_learning/DeepLearning%20-%20Flower%20Image%20Classification "DeepLearning - Flower Image Classification"

[CyberML - Anomalous Access Detection]: ../CyberML%20-%20Anomalous%20Access%20Detection "CyberML - Anomalous Access Detection"

[Interpretability - Tabular SHAP Explainer]: ../model_interpretability/Interpretability%20-%20Tabular%20SHAP%20explainer "Interpretability - Tabular SHAP Explainer"

[Interpretability - Image Explainers]: ../model_interpretability/Interpretability%20-%20Image%20Explainers "Interpretability - Image Explainers"

[Interpretability - Text Explainers]: ../model_interpretability/Interpretability%20-%20Text%20Explainers "Interpretability - Text Explainers"

